<?php

	class Dialog{
		public $customer;  // EIN Customer
		public $pattern;  // ARRAY mit patterns
	}  // class Dialog

	error_reporting(E_ALL);
	include("customer.php");
	include("customerDB.php");

	$ok=true;
	$pindex=-1;
	$error='';
	if ( isset($_GET['pindex']) ){   // Ist gesetzt?
		$str_pindex = $_GET['pindex'];
		if (is_numeric($str_pindex)) {
			$pindex = intval ( $str_pindex, 10 );
			if ($pindex<=0 && $pindex!=-1) {
				$ok=false;
				$error.="Error: pindex <= 0<br />";
			}
		}
		else {
			$ok = false;
			$error.="Error in number conversion: the variable 'pindex' is not any number<br />";
		}
	}
	else {
		$ok = false;
		$error.="Error: The param 'pindex' are not passed<br />";
	}

	if($ok) {
		$dialog = new Dialog();

		if ($pindex==-1) {
			$dialog->customer = new Customer();
			$dialog->pindex=-1;
		}
		else
		$dialog->customer = loadCustomerFromDB($pindex);
		$dialog->pattern = getCustomerPatternFromDB();
		echo json_encode($dialog);
	}
	else{
		echo '<h3>Fehler</h3>';
		echo $error;
	}


?>

